## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.5

Name:           pmbootstrap
Version:        3.2.0
Release:        %autorelease
Summary:        A sophisticated chroot/build/flash tool to develop and install postmarketOS

License:        GPL-3.0-only
URL:            https://www.postmarketos.org
# cannot use %%{pypi_source} due to
# https://gitlab.com/postmarketOS/pmbootstrap/-/issues/2009
Source0:        https://gitlab.postmarketos.org/postmarketOS/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

# pmbootstrap obtains the native arch via from_machine_type
# https://gitlab.postmarketos.org/postmarketOS/pmbootstrap/-/blob/3.0.0/pmb/core/arch.py?ref_type=tags#L52
# this function only supports the following arches and hence these must be the exclusive arch
# see also: https://gitlab.postmarketos.org/postmarketOS/pmbootstrap/-/issues/2501
ExclusiveArch:  %x86_64 %arm64 armv6l armv7l armv8l noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(argcomplete)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)

BuildRequires:  /usr/bin/openssl
BuildRequires:  git
BuildRequires:  kpartx
BuildRequires:  /usr/bin/ps

Requires:       openssl
Requires:       git
Requires:       kpartx
Requires:       util-linux
Requires:       /usr/bin/ps


%description
Sophisticated chroot/build/flash tool to develop and install postmarketOS.

%prep
%autosetup -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l pmb

%check
pytest_args="not pkgrepo_pmaports"
# the valid_chroots test fails on non x86_64
# https://gitlab.postmarketos.org/postmarketOS/pmbootstrap/-/issues/2500
if [[ ! $(uname -m) = "x86_64" ]]; then pytest_args+=" and not valid_chroots"; fi
%pytest -k "${pytest_args}"

%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
## START: Generated by rpmautospec
* Fri Jan 31 2025 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.2.0-1
- Uncommitted changes

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 12 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0.0-6
- Exclude the valid_chroots test on non x86_64

* Tue Nov 12 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0.0-5
- Only build on x86_64 & ARM

* Mon Nov 11 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0.0-4
- unify whitespace

* Mon Nov 11 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0.0-3
- Use python3dist() requires for pytest

* Mon Nov 11 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 3.0.0-2
- Exclude test requiring network connection & git

* Mon Nov 11 2024 Jason Blackwell <blackwell@disroot.org> - 3.0.0-1
- New upstream release 3.0.0

* Sun Nov 03 2024 Jason Blackwell <blackwell@disroot.org> - 2.3.3-1
- New upstream release 2.3.3

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 Jason Blackwell <blackwell@disroot.org> - 2.3.1-1
- New upstream release 2.3.1, fixes rhbz#2281413

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.2.1-2
- Rebuilt for Python 3.13

* Mon Feb 12 2024 Dan Čermák <dan.cermak@cgc-instruments.com> - 2.2.1-1
- New upstream release 2.2.1, fixes rhbz#2263091

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 08 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 2.1.0-1
- New upstream release 2.1.0, fixes rhbz#2228007

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.53.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 1.53.0-2
- Rebuilt for Python 3.12

* Sat May 27 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.53.0-1
- New upstream release 1.53.0, fixes rhbz#2208050

* Tue Apr 18 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.52.0-1
- New upstream release 1.52.0, fixes rhbz#2187833

* Mon Feb 20 2023 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.51.0-1
- New upstream release 1.51.0, fixes rhbz#2171278

* Mon Dec 12 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.50.1-1
- New upstream release 1.50.1, fixes rhbz#2150763

* Fri Nov 25 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.50.0-1
- New upstream release 1.50.0, fixes rhbz#2144308

* Fri Nov 11 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.49.0-2
- SPDX: switch license tag to SPDX

* Fri Nov 11 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.49.0-1
- New upstream release 1.49.0, fixes rhbz#2141299

* Fri Oct 28 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.48.0-1
- New upstream release 1.48.0, fixes rhbz#2135144

* Wed Oct 05 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.47.0-1
- New upstream release 1.47.0, fixes rhbz#2118414

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.45.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 04 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.45.0-1
- New upstream release 1.45.0, fixes rhbz#2103472

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 1.44.1-2
- Rebuilt for Python 3.11

* Fri Jun 17 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.44.1-1
- New upstream release 1.44.1, fixes rhbz#2089617

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.43.1-2
- Rebuilt for Python 3.11

* Wed May 18 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.43.1-1
- New upstream release 1.43.1, fixzes rhbz#2086325

* Sat May 14 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.43.0-2
- Add missing requires git & openssl, fixes rhbz#2086087

* Sat May 14 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.43.0-1
- New upstream release 1.43.0, fixes rhbz#2085295, rhbz#2075447

* Wed Feb 23 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.42.0-1
- New upstream release 1.42.0, fixes rhbz#2056261

* Sat Jan 22 2022 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.41.0-1
- New upstream release 1.41.0, fixes rhbz#2042159

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 12 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.40.0-1
- New upstream release 1.40.0, fixes rhbz#2028648

* Thu Dec 02 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.39.0-1
- New upstream release 1.39.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.32.0-2
- Rebuilt for Python 3.10

* Fri May  7 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.32.0-1
- Update to 1.32.0
- Fixes rhbz#1924900

* Tue Feb 02 2021 Dan Čermák <dan.cermak@cgc-instruments.de> - 1.0.1-1
- Initial package.

## END: Generated by rpmautospec
